import request from '@/utils/request'

export function fetchAllBizList(data) {
  return request({
    url: 'business/search',
    method: 'post',
    data: data
  })
}

export function fetchMyBizList(data) {
  return request({
    url: 'business/list',
    method: 'post',
    data: data
  })
}

// 单个收藏
export function pushAddBizFavorite(appId, id) {
  return request({
    url: `business/install/${appId}/${id}`
  })
}

// 批量收藏
export function pushSaveFavorite(data) {
  return request({
    url: 'business/batchUpdate',
    method: 'post',
    data: data
  })
}

export function pushDeleteBusiness(id) {
  return request({
    url: `business/delete/${id}`
  })
}

export function pushSaveBusiness(action, data) {
  return request({
    url: `business/${action}`,
    method: 'post',
    data: data
  })
}

