import request from '@/utils/request'

export function fetchAllSystemList(data) {
  return request({
    url: 'app/search',
    method: 'post',
    data: data
  })
}

export function fetchMySystemList(data) {
  return request({
    url: 'app/list',
    method: 'post',
    data: data
  })
}

// 单个收藏
export function pushAddFavorite(id) {
  return request({
    url: `app/install/${id}`
  })
}

// 批量收藏
export function pushSaveFavorite(data) {
  return request({
    url: 'app/batchUpdate',
    method: 'post',
    data: data
  })
}

export function pushDeleteSystem(id) {
  return request({
    url: `app/delete/${id}`
  })
}

export function pushSaveSystem(action, data) {
  return request({
    url: `app/${action}`,
    method: 'post',
    data: data
  })
}

export function pushResetSecret(id) {
  return request({
    url: `app/resetSecret?id=${id}`,
    method: 'get'
  })
}
