import { Message } from 'element-ui'

import { addLog } from '@/api/log'

export function jumpTo(type, id, name, url) {
  if (url && url.indexOf('{USER_IDCARD}') > -1) {
    const esouUrl = this.$store.getters.links.esouUrl
    const encryptIdCard = esouUrl.substr(esouUrl.lastIndexOf('?idcard=') + 8)
    url = url.replace('{USER_IDCARD}', encryptIdCard)
  }
  addLog(type, id, name, url).then(res => {
  }).catch(error => {
    console.log(error)
    Message({
      message: '添加日志出错：' + error.message,
      type: 'error',
      duration: 5 * 1000
    })
  })
  window.open(url, '_blank')
}
